Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jasper.compiler
Class JspConfig.JspProperty

    java.lang.Object
      org.apache.struts2.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  JspConfig

    public static class JspConfig.JspProperty

extends Object

Constructor Summary
`JspConfig.JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Vector includePrelude, Vector includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces)`

Method Summary
`Vector` | `getIncludeCoda()`
`Vector` | `getIncludePrelude()`
`String` | `getPageEncoding()`
`String` | `isDeferedSyntaxAllowedAsLiteral()`
`String` | `isELIgnored()`
`String` | `isScriptingInvalid()`
`String` | `isTrimDirectiveWhitespaces()`
`String` | `isXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfig.JspProperty

    public JspConfig.JspProperty(String isXml,
                                 String elIgnored,
                                 String scriptingInvalid,
                                 String pageEncoding,
                                 Vector includePrelude,
                                 Vector includeCoda,
                                 String deferedSyntaxAllowedAsLiteral,
                                 String trimDirectiveWhitespaces)

Method Detail

### isXml

    public String isXml()

### isELIgnored

    public String isELIgnored()

### isScriptingInvalid

    public String isScriptingInvalid()

### getPageEncoding

    public String getPageEncoding()

### getIncludePrelude

    public Vector getIncludePrelude()

### getIncludeCoda

    public Vector getIncludeCoda()

### isDeferedSyntaxAllowedAsLiteral

    public String isDeferedSyntaxAllowedAsLiteral()

### isTrimDirectiveWhitespaces

    public String isTrimDirectiveWhitespaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.